<?php
require ('Conexion/Conexion.php');
require ('lib/lib.php');
$url="http://".$_SERVER['HTTP_HOST'].":".$_SERVER['SERVER_PORT'].$_SERVER['REQUEST_URI'];
if(!isset($_SESSION['WEB2']) || extension($url) == 'php'){	
	echo "<script language='JavaScript'>location.href = 'index.php'</script>";
	die();
} else{
	Inactividad();

	if($_GET['VehiculoID'] != ''){
		$ClienteID = $_SESSION['ClienteID'];
		if(preg_match("/^[[:digit:]]+$/", $_GET['VehiculoID'])){
			$FlotillaID = $_GET['VehiculoID'];
			$QueryConfirmar = mssql_query("SELECT * FROM Vehiculo WHERE ClienteID = '$ClienteID' AND VehiculoID = '$FlotillaID'");
			if(mssql_num_rows($QueryConfirmar) >= 1){
				if($_SESSION["Admin"] == 1){
					$QueryCatalogo = mssql_query("SELECT VE.VehiculoID, VE.Nombre, VE.Identificacion, VE.NIP, VE.Estatus, VE.CargasMaximas, 
					VE.ProductoAutorizado, VE.FechaAlta, VE.ProductoAutorizado, SW.NombreSeccion, VE.SeccionWebID FROM Vehiculo VE INNER JOIN SeccionWeb SW 
					ON VE.SeccionWebID = SW.SeccionWebID WHERE VE.ClienteID = '$ClienteID' AND VE.VehiculoID = '$FlotillaID' ORDER BY VE.VehiculoID");
					$EvaluarCatalogo = mssql_fetch_array($QueryCatalogo);
					$Bandera = 1;
				} else{
					$QueryCatalogo = mssql_query("SELECT VE.VehiculoID, VE.Nombre, VE.Identificacion, VE.NIP, VE.Estatus, VE.CargasMaximas, 
					VE.ProductoAutorizado, VE.FechaAlta, VE.ProductoAutorizado, SW.NombreSeccion, VE.SeccionWebID FROM Vehiculo VE INNER JOIN SeccionWeb SW 
					ON VE.SeccionWebID = SW.SeccionWebID WHERE VE.ClienteID = '$ClienteID' AND VE.SeccionWebID = ".$_SESSION['SeccionWebID']." AND VE.VehiculoID = '$FlotillaID' ORDER BY VE.VehiculoID");	
					$EvaluarCatalogo = mssql_fetch_array($QueryCatalogo);
					$Bandera = 1;
				}
			}else
				echo "<script type='text/JavaScript'>Error = 3;</script>";
		}else
			echo "<script type='text/JavaScript'>var Error = 2;</script>";
	}else
		echo "<script type='text/JavaScript'>var Error = 1;</script>";
?>
<script type="text/javascript" src="JQuery/jquery-1.7.1.min.js"></script>
<script type="text/javascript" src="JQuery/jquery.blockUI.js"></script>
<link type="text/css" href="JQuery/css/custom-theme/jquery-ui-1.8.17.custom.css" rel="Stylesheet" />
<script type="text/javascript" src="JQuery/jquery-ui-1.8.17.custom.min.js"></script>
<script type="text/javascript" src="JQuery/development-bundle/ui/jquery.ui.dialog.js"></script>
<script>
$(document).ready(function(){

	$(document).bind("contextmenu",function(e){
	 	return false;
	});
	
	if(Error == 1)
		$("#message").html("<p class='error'>Seleccione la Flotilla a Modificar!</p>");
	else if(Error == 2)
		$("#message").html("<p class='error'>La Flotilla seleccionada debe ser númerica!</p>");
	else if(Error == 3)
		$("#message").html("<p class='error'>La Flotilla seleccionada no pertenece al Cliente/Usuario Autenticado!</p>");
				
	var inputNombre = $("#edtNombre");
	var reqNombre = $("#req-Nombre");
	var inputPassword1 = $("#edtPassword1");
	var reqPassword1 = $("#req-Password1");
	var inputPassword2 = $("#edtPassword2");
	var reqPassword2 = $("#req-Password2");
	var inputDespachos = $("#edtDespachos");
	var reqDespachos = $("#req-Despachos");
	var inputIdentificacion = $("#edtIdentificacion");
	var reqIdentificacion = $("#req-Identificacion");		
	
	$.fx.speeds._default = 1000;
	$(function() {
		$( "#dialog" ).dialog({
			autoOpen: false,
			show: "blind",
			hide: "explode",
			width: 400
		});

		$( "#opener" ).click(function() {
			$( "#dialog" ).dialog( "open" );
			return false;
		});
	});
	
	function validarNombre(){
		$("#message").html('');
		if(inputNombre.val().length < 10 || inputNombre.val().length > 30 ){
			reqNombre.addClass("error2");
			inputNombre.addClass("error2");
			$("#req-Nombre").html('A-Z, Min. 10 y Máx. 30 caracteres.');
			$("#req-NombreImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		}
		else if(!inputNombre.val().match(/^[a-zA-Z0-9 .-]+$/)){
			reqNombre.addClass("error2");
			inputNombre.addClass("error2");
			$("#req-Nombre").html('No se aceptan caracteres especiales.');
			$("#req-NombreImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		}
		else{
			reqNombre.removeClass("error2");
			inputNombre.removeClass("error2");
			$("#req-Nombre").html("");
			$("#req-NombreImg").html("<img src='images/bien.png' width='14' height='14' title='Campo Completado!'>");
			return true;
		}
	}
	function validarPassword1(){
		if(inputPassword1.val().length < 3 || inputPassword1.val().length > 8){
			inputPassword1.addClass("error2");
			reqPassword1.addClass("error2");
			$("#req-Password1").html('A-Z y 0-9, Mín. 4 y Máx. 8 caracteres');
			$("#req-Password1Img").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		}
		else if(!inputPassword1.val().match(/^[a-zA-Z0-9]+$/)){
			inputPassword1.addClass("error2");
			reqPassword1.addClass("error2");
			$("#req-Password1").html("Solo se aceptan números y letras.");
			$("#req-Password1Img").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		}
		else{
			inputPassword1.removeClass("error2");
			reqPassword1.removeClass("error2");
			$("#req-Password1").html("");
			$("#req-Password1Img").html("<img src='images/bien.png' width='14' height='14' title='Campo Completado!'>");
			return true;
		}
	}
	function validarPassword2(){
		if(inputPassword2.val().length < 3 || inputPassword2.val().length > 8){
			inputPassword2.addClass("error2");
			reqPassword2.addClass("error2");
			$("#req-Password2").html('A-Z y 0-9, Mín. 4 y Máx. 8 caracteres');
			$("#req-Password2Img").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		}
		else if(!inputPassword2.val().match(/^[a-zA-Z0-9]+$/)){
			inputPassword2.addClass("error2");
			reqPassword2.addClass("error2");
			$("#req-Password2").html("Solo se aceptan números y letras.");
			$("#req-Password2Img").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		}
		else if(inputPassword2.val() != inputPassword1.val()){
			inputPassword2.addClass("error2");
			reqPassword2.addClass("error2");
			$("#req-Password2").html("Confirme la misma Contraseña.");
			$("#req-Password2Img").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		}
		else{
			inputPassword2.removeClass("error2");
			reqPassword2.removeClass("error2");
			$("#req-Password2").html("");
			$("#req-Password2Img").html("<img src='images/bien.png' width='14' height='14' title='Campo Completado!'>");
			return true;
		}
	}
	function validarDespachos(){
		if(inputDespachos.val().length < 1 || inputDespachos.val().length > 5){
			inputDespachos.addClass("error2");
			reqDespachos.addClass("error2");
			$("#req-Despachos").html("0-9, Minimo 1 caracter.");
			$("#req-DespachosImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		}
		else if(!inputDespachos.val().match(/^[0-9]+$/)){
			inputDespachos.addClass("error2");
			reqDespachos.addClass("error2");
			$("#req-Despachos").html("Solo se aceptan números.");
			$("#req-DespachosImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		}
		else{
			inputDespachos.removeClass("error2");
			reqDespachos.removeClass("error2");
			$("#req-Despachos").html("");
			$("#req-DespachosImg").html("<img src='images/bien.png' width='14' height='14' title='Campo Completado!'>");
			return true;
		}
	}
	function validarIdentificacion(){
		if(inputIdentificacion.val().length < 4 || inputIdentificacion.val.length > 30){
			inputIdentificacion.addClass("error2");
			reqIdentificacion.addClass("error2");
			$("#req-Identificacion").html('A-Z, Min. 5 y Máx. 30 caracteres.');
			$("#req-IdentificacionImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;			
		}
		else if(!inputIdentificacion.val().match(/^[a-zA-Z0-9 .-]+$/)){
			inputIdentificacion.addClass("error2");
			reqIdentificacion.addClass("error2");
			$("#req-Identificacion").html("No se aceptan caracteres especiales.");
			$("#req-IdentificacionImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		}
		else{
			inputIdentificacion.removeClass("error2");
			reqIdentificacion.removeClass("error2");
			$("#req-Identificacion").html("");
			$("#req-IdentificacionImg").html("<img src='images/bien.png' width='14' height='14' title='Campo Completado!'>");
			return true;
		}
	}
	inputNombre.blur(validarNombre);
	inputPassword1.blur(validarPassword1);
	inputPassword2.blur(validarPassword2);
	inputDespachos.blur(validarDespachos);
	inputIdentificacion.blur(validarIdentificacion);
	
	$("#ModFlotilla").submit(function(){
		if(validarNombre() & validarPassword1() & validarPassword2() & validarDespachos() & validarIdentificacion())
			ModificarFlotilla();
		else 
			return false;
		return false;
	});
	
	function ModificarFlotilla(){
		$.ajax({
			type: "POST",
			data: "FlotillaID="+$("#edtFlotillaID").val()+"&Nombre="+$("#edtNombre").val()+"&Password="+$("#edtPassword2").val()+"&Despachos="+$("#edtDespachos").val()+"&Producto="+$("#cbProducto").val()+"&Status="+$("#cbStatus").val()+"&Identificacion="+$("#edtIdentificacion").val()+"&Grupo="+$("#cbGrupo").val()+"",
			url: "ProcesarModFlotilla.php",
			success: function(response){
				if(response == 'Actualizado'){
					$.growlUI('Flotilla Actualizada', 'Satisfactoriamente!');
					$("#message").html("<p class='success'>La Flotilla ha sido actualizada satisfactoriamente!</p>");
				}else
					$('#message').html(response);
			}			
		})
	}	
});
</script>
<style type="text/css">
<!--
body {
    background-color: #edffe2;
	font-family:Arial, Helvetica, sans-serif;
	font-size:11px;
	background-image:url("images/Form.png");
	background-repeat: no-repeat;
	background-position: top;
}
body,td,th {
	font-size: 11px;
	color: #000;
}
b{
	font-size:13px;
	color: #004000;
}
.requisites{  
    padding: 0 2px 0 2px;  
}  
.requisites.error2{  
    text-decoration: underline;
	font-size:11px;  
    color: #FF0000;
}  
.success {
	color: #060;
	font-size: 12px;
}
.error {
	color: red;
	font-size: 12px;
}
#Titulo {
	font-family: Georgia, "Times New Roman", Times, serif;
	font-size: 16px;
	font-weight: bold;
	color: #0054A8;
}
input.txt{
	width: 150px;
	padding: 5px;
	padding-left: 25px;
	background-repeat: no-repeat;
	background-position: 0% 50%;
}
input:focus{
	background-color:#d9f0a3;
}
input.error2{
	border-color: #F00;
}
input.text.active{
	background: #343434 url(img/search.png) no-repeat scroll right -43px;
	border-color: #000;
	color: #fff;
}
#edtNombre{
	background-image: url(images/Nombre.png);
}
#edtPassword1, #edtPassword2{
	background-image: url(images/Password.png);
}
#edtIdentificacion{
	background-image: url(images/Departamento.png);
}
#edtDespachos{
	background-image: url(images/Permisos.png);
}
#edtFlotillaID{
	background-image: url(images/No.png);
}
#edtFecha{
	background-image: url(images/Calendario.png);
}
.submit {
   border-top: 1px solid #02822f;
   background: #74d665;
   background: -webkit-gradient(linear, left top, left bottom, from(#64bf52), to(#74d665));
   background: -webkit-linear-gradient(top, #64bf52, #74d665);
   background: -moz-linear-gradient(top, #64bf52, #74d665);
   background: -ms-linear-gradient(top, #64bf52, #74d665);
   background: -o-linear-gradient(top, #64bf52, #74d665);
   padding: 5px 10px;
   -webkit-border-radius: 8px;
   -moz-border-radius: 8px;
   border-radius: 8px;
   -webkit-box-shadow: rgba(0,0,0,1) 0 1px 0;
   -moz-box-shadow: rgba(0,0,0,1) 0 1px 0;
   box-shadow: rgba(0,0,0,1) 0 1px 0;
   text-shadow: rgba(0,0,0,.4) 0 1px 0;
   color: #ffffff;
   font-size: 14px;
   font-family: Georgia, serif;
   text-decoration: none;
   vertical-align: middle;
   }
.submit:hover {
   border-top-color: #357828;
   background: #357828;
   color: #fafafa;
   }
.submit:active {
   border-top-color: #07ab38;
   background: #07ab38;
}
select{
	width:150px;
	height:28px;
	padding: 5px;
}
</style>
<form id="ModFlotilla" name="ModFlotilla" action= "" method="post">
  <table width="500" border="0" cellspacing="0" cellpadding="0" align="center">
  <tr>
    <td align="left"><table width="500" height="500" border="0" cellspacing="0" cellpadding="0" align="center" valign="middle" >
      <tr>
        <td colspan="3" align="right">
        <div id="dialog" class="dialog" title="Información de  la Flotilla">
            <p>Si desea Actualizar los datos, solo Modifiquelos:
            <br></br>* Nombre:  Nombre real de la Flotilla, (Mínimo 10 caracteres).
            <br></br>* Contraseña: Permite números y letras (Mín. 4 y Max. 8 caracteres). 
            <br></br>* Identificación: Descripción de la Flotilla.
            <br></br>* Status: Estado de la Flotilla(Activo, Inactivo, etc.).
            <br></br>* Despachos Autorizados: Cantidad de despachos permitidos por Día.
            <br></br>* Producto Autorizado: Producto Autorizado (Magna, Premium, Diesel...)
            <br></br>* Grupo: Grupo al que pertenecerá la Flotilla.
			<br></br>* Oprima el botón 'Actualizar Flotilla'.
            <br></br>* Si existe alguna advertencia, corrija</p>
        </div>
        <b>Ayuda</b><img src="images/Help.png" name="opener" width="25" height="25" id="opener"/></td>
      </tr>
      <tr>
        <td id="Titulo" colspan="3" align="center">Modificación de Flotillas.</td>
      </tr>
      <tr>
        <td width="46">&nbsp;</td>
        <td width="254">&nbsp;</td>
        <td width="200">&nbsp;</td>
      </tr>
      <tr>
        <td colspan="3">&nbsp;</td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td align="left"><b>No. Flotilla:</b></td>
        <td align="left"><b>Fecha de Registro</b>:</td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td align="left"><input class="txt" name="edtFlotillaID" type="text" disabled="disabled" id="edtFlotillaID" value="<? echo $EvaluarCatalogo['VehiculoID']; ?>" size="21" /></td>
        <td align="left"><input class="txt" name="edtFecha" type="text" disabled="disabled" id="edtFecha" value="<? echo $EvaluarCatalogo['FechaAlta']; ?>" size="21" /></td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td align="left">&nbsp;</td>
        <td align="left">&nbsp;</td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td align="left"><b>Nombre:</b></td>
        <td align="left"><b>Despachos Autorizados:</b></td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td align="left"><input class="txt" name="edtNombre" type="text" id="edtNombre" value="<? echo utf8_encode($EvaluarCatalogo['Nombre']);?>" <? if($Bandera != 1) echo "disabled= 'disabled'"; else "disabled= 'enabled'" ?> size="21" maxlength="30" tabindex="1"/>
          <span id="req-NombreImg" class="requisites error"></span></td>
        <td align="left"><input class="txt" name="edtDespachos" type="text" id="edtDespachos" value="<? echo $EvaluarCatalogo['CargasMaximas']; ?>" <? if($Bandera != 1) echo "disabled= 'disabled'"; else "disabled= 'enabled'" ?> size="21" maxlength="3" tabindex="5" /><span id="req-DespachosImg" class="requisites error"></span></td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td align="left"><b><span id="req-Nombre" class="requisites error"></span></b></td>
        <td align="left"><b><span id="req-Despachos" class="requisites error"></span></b></td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td align="left"><b>Contraseña:</b></td>
        <td align="left"><b>Identificación:</b></td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td align="left"><input class="txt" name="edtPassword1" type="text" id="edtPassword1" value="<? echo $EvaluarCatalogo['NIP']; ?>" <? if($Bandera != 1) echo "disabled= 'disabled'"; else "disabled= 'enabled'" ?> size="21" maxlength="8" tabindex="2"/>
          <span id="req-Password1Img" class="requisites error"></span></td>
        <td align="left"><input name="edtIdentificacion" type="text" class="txt" id="edtIdentificacion" maxlength="30" value="<? echo utf8_encode(trim($EvaluarCatalogo['Identificacion'])); ?>" <? if($Bandera != 1) echo "disabled= 'disabled'"; else "disabled= 'enabled'" ?> tabindex="6"/><span id="req-IdentificacionImg" class="requisites error"></span></td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td align="left"><b><span id="req-Password1" class="requisites error"></span></b></td>
        <td align="left"><b><span id="req-Identificacion" class="requisites error"></span></b></td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td align="left"><b>Confirmar Contraseña:</b></td>
        <td align="left"><b>Producto Autorizado:</b></td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td align="left"><input class="txt" name="edtPassword2" type="text" id="edtPassword2" value="<? echo $EvaluarCatalogo['NIP']; ?>" size="21" maxlength="8" tabindex="3" <? if($Bandera != 1) echo "disabled= 'disabled'"; else "disabled= 'enabled'" ?>/>
          <span id="req-Password2Img" class="requisites error"></span></td>
        <td align="left"><select name="cbProducto" id="cbProducto" tabindex="7" <? if($Bandera != 1) echo "disabled= 'disabled'"; else "disabled= 'enabled'" ?>>
          <option value="1" <? if($EvaluarCatalogo['ProductoAutorizado'] == 1){ echo 'selected="selected"';} ?>>MAGNA</option>
          <option value="2" <? if($EvaluarCatalogo['ProductoAutorizado'] == 2){ echo 'selected="selected"';} ?>>PREMIUM</option>
          <option value="123" <? if($EvaluarCatalogo['ProductoAutorizado'] == 123){ echo 'selected="selected"';} ?>>TODOS</option>
          <option value="3" <? if($EvaluarCatalogo['ProductoAutorizado'] == 3){ echo 'selected="selected"';} ?>>DIESEL</option>
          <option value="12" <? if($EvaluarCatalogo['ProductoAutorizado'] == 12){ echo 'selected="selected"';} ?>>MAGNA Y PREMIUM</option>
          <option value="13" <? if($EvaluarCatalogo['ProductoAutorizado'] == 13){ echo 'selected="selected"';} ?>>MAGNA Y DIESEL</option>
          <option value="23" <? if($EvaluarCatalogo['ProductoAutorizado'] == 23){ echo 'selected="selected"';} ?>>PREMIUM Y DIESEL</option>
          <option value="1235" <? if($EvaluarCatalogo['ProductoAutorizado'] == 1235){ echo 'selected="selected"';} ?>>TODOS Y ADITIVOS</option>
        </select></td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td align="left"><b><span id="req-Password2" class="requisites error"></span></b></td>
        <td align="left">&nbsp;</td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td align="left"><b>Grupo:</b></td>
        <td align="left"><b>Status:</b></td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td align="left"><select name="cbGrupo" id="cbGrupo" <? if($_SESSION['Administrador'] == 1) { echo "enabled"; } else { echo 'disabled'; } ?> tabindex="4" <? if($Bandera != 1) echo "disabled= 'disabled'"; else "disabled= 'enabled'" ?>>
          <?
		$QueryGrupos = mssql_query("SELECT * FROM SeccionWeb WHERE NombreSeccion <> '' AND ClienteID = '$ClienteID' ORDER BY SeccionWebID");
		while ($EvaluarGrupos = mssql_fetch_assoc($QueryGrupos)){
	        echo '<option value=' . $EvaluarGrupos['SeccionWebID']; if ($EvaluarGrupos['SeccionWebID'] == $EvaluarCatalogo['SeccionWebID']) { echo ' selected=selected'; } echo '>' . utf8_encode($EvaluarGrupos['NombreSeccion']) . '</option>';
	    }
		?>
        </select></td>
        <td align="left"><select name="cbStatus" id="cbStatus" tabindex="8" <? if($Bandera != 1) echo "disabled= 'disabled'"; else "disabled= 'enabled'" ?>>
          <option value="A" <? if($EvaluarCatalogo['Estatus'] == "A"){ echo 'selected="selected"';} ?>>ACTIVO</option>
          <option value="I" <? if($EvaluarCatalogo['Estatus'] == "I"){ echo 'selected="selected"';} ?>>INACTIVO</option>
          <option value="C" <? if($EvaluarCatalogo['Estatus'] == "C"){ echo 'selected="selected"';} ?>>CANCELADO</option>
        </select></td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td align="left">&nbsp;</td>
        <td align="left"><b><span id="req-Status" class="requisites error"></span></b></td>
      </tr>
      <tr>
        <td colspan="3" align="center">&nbsp;</td>
      </tr>
      <tr>
        <td colspan="3" align="center"><input class="submit" type="submit" id="submit" value="Actualizar Flotilla" title="Actualizar la Flotilla." tabindex="9" <? if($Bandera != 1) echo "disabled= 'disabled'"; else "disabled= 'enabled'" ?>/></td>
      </tr>
      <tr>
        <td colspan="3" align="center"><b><? if($_SESSION['Administrador'] == 1){ ?>
          <div id="message"></div>
          <? }else{?>
          <div id="message" class="error">Usted no tiene privilegios para Modificar a Usuarios!</div>
          <? } ?></b></td>
        <td width="1"></td>
      </tr>
      <tr>
        <td colspan="3" align="center">&nbsp;</td>
        <td></td>
      </tr>
    </table></td>
  </tr>
  </table>
</form>
<? } ?>